import type { Context, SpanOrigin } from '@sentry/types';
type SentryTags = Record<string, string>;
type SentryData = Record<string, unknown>;
type Contexts = Record<string, Context>;
export interface AdditionalOtelSpanData {
    data: SentryData;
    tags: SentryTags;
    contexts: Contexts;
    metadata: unknown;
    origin?: SpanOrigin;
}
/** Add data that should be added to the sentry span resulting from the given otel span ID. */
export declare function addOtelSpanData(otelSpanId: string, data: Partial<AdditionalOtelSpanData>): void;
/** Get additional data for a Sentry span. */
export declare function getOtelSpanData(otelSpanId: string): AdditionalOtelSpanData;
/** Add data that should be added to the sentry span resulting from the given otel span ID. */
export declare function clearOtelSpanData(otelSpanId: string): void;
export {};
//# sourceMappingURL=spanData.d.ts.map